Bug 151311 - tomcat5 should depend on tomcat5-webapps or provide a default test page
tomcat5 should depend on tomcat5-webapps or provide a default test page
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tomcat5 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rafael H. Schloming
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 15:28 EST by Thomas Fitzsimmons
Modified: 2014-12-01 18:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 13:53:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2005-03-16 15:28:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050308 Firefox/1.0.1 Fedora/1.0.1-5

Description of problem:
After doing "yum install tomcat5" then "/etc/init.d/tomcat5 start" tomcat5 is running.  But connecting to http://localhost:8080 just returns a blank page.

It would be better to either install a default page that simply says "if you see this page, Tomcat is running" or make tomcat5 depend on tomcat5-webapps which does install a page like this.


Version-Release number of selected component (if applicable):
tomcat5-5.0.30-1jpp_2fc

How reproducible:
Always

Steps to Reproduce:
1. yum install tomcat5
2. /etc/init.d/tomcat5 start
3. surf to http://localhost:8080


Actual Results:  blank page

Expected Results:  test page confirming that tomcat works


Additional info:

Workaround: "yum install tomcat5-webapps"
Comment 1 Fernando Nasser 2005-03-16 15:39:16 EST
Yes, providing a default test page (that perhaps mention the webapps subpackage)
is an idea that I like.

But you should suggest that usptream so that J. C. fixes the jpackage.org package.
As soom as he does that I will import the fix into ours.

Comment 2 Thomas Fitzsimmons 2006-02-06 13:53:38 EST
I suggested this idea upstream but Jason Corley was strongly against the idea:

> Absolutely not.  I don't want a default test page on my server
> installs, that's what I'll be deploying.  I'm a strong -1 on this
> idea.
> Jason

Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.